﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using System.Windows.Automation;

namespace TreeViewTest
{
    class ToogleToBoolConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            var state = value as ToggleState?;
            if (state != null)
            {
                if (state == ToggleState.On)
                {
                    return true;
                }
                else if(state == ToggleState.Off)
                {
                    return false;
                }
            }
            return null;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
